---
title: List invitations
description: Lists pending invitations for the workspace.
doc_version: 0.1.0-preview
last_updated: 2026-09-14
---

# List invitations

`GET /v1/workspaces/{workspaceId}/invitations`

Lists pending invitations for the workspace. Requires an admin key.

## Authentication

Send `Authorization: Bearer <SPARK_API_KEY>`. Read the key from the
SPARK_API_KEY environment variable. Never print it.

## Path parameters

- `workspaceId` (string) — The workspace id.

## Example request

```bash
curl \
  --url "https://api.beta.graphon.ai/v1/workspaces/wspQ7WsH2Np5L/invitations" \
  --header "Authorization: Bearer $SPARK_API_KEY"
```

## Example response

```json
{
  "items": [
    {
      "id": "invC3d4E5f6G7",
      "workspaceId": "wspQ7WsH2Np5L",
      "email": "grace@example.com",
      "role": "editor",
      "state": "pending",
      "delivery": "queued",
      "expiresAt": "2026-09-21T18:00:00.000Z",
      "revision": 1
    }
  ]
}
```

## Sitemap

See the full [sitemap](/sitemap.md) for all pages.
